• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Codeigniter Cross Script Request Forgery and CRUD libraries

#1
Dear,

so while learning CodeIgniter i noticed that the CSRF is an interesing features, but all the libraires i have found like Grocery CRUD have trouble with this functionality.

is there somewhere a good complete explanation about how to make them compatible with theses functionalities?

(as i think that lowering down the security is not a good option and such CSRF should always be used)

are you aware of any CRUD libraries that is fully functional/compatible straight from the box with CodeIgniter 3 / stable and these security options?

thanks in advance Smile
Reply

#2
Most of the time it breaks when there are other libraries like Grocery CRUD because of Ajax calls.

You can read this article should help you out.

When CodeIgniter’s CSRF Protection breaks your Ajax
What did you Try? What did you Get? What did you Expect?

Joined the CodeIgniter Community in 2009.          ( Skype: insitfx )
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


Users browsing this thread:
1 Guest(s)


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2017 MyBB Group.